Bug 102637 - Deleting user does not delete user's mail spool
Deleting user does not delete user's mail spool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-19 03:55 EDT by Ari Stern
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 11:42:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ari Stern 2003-08-19 03:55:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
After deleting a user with User Manager, the user's mail spool still remains in
/var/spool/mail/.  Mail spools from old users must be cleaned up manually.  This
is only a slight annoyance, but it is inconsistent with the behavior of 'userdel
-r', and a prompt to remove the spool would be a nice feature.

Version-Release number of selected component (if applicable):
1.1.5-7

How reproducible:
Always

Steps to Reproduce:
1. Click on "Delete" to delete user.
    

Actual Results:  User's mail spool still exists in /var/spool/mail/.

Expected Results:  Should be prompted to remove user's mail spool, as with
removing the user's home directory.  (Possibly include info about spool size to
determine whether it's full/empty?)

Additional info:
Comment 1 Michael Lee Yohe 2003-08-22 14:52:36 EDT
This is a good suggestion - especially for systems with large amounts of users.
Comment 2 Nils Philippsen 2004-11-23 11:42:41 EST
Fixed in system-config-users-1.2.27 and later. Note that it only asks whether to
delete _all_ of home directory, mail spool, temp files to not clutter up the UI.
Comment 3 Tim Powers 2005-05-19 17:39:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-440.html

Note You need to log in before you can comment on or make changes to this bug.